diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc	2025-03-09 16:55:49.815372700 -0700
@@ -535,29 +536,29 @@
     // 11n 20MHz @ 5GHz
     NS_LOG_FUNCTION("Check slopes for 11n 40MHz @ 5GHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(63, -28.188),  // Outer band left (stop)
-        std::make_pair(64, -28.000),  // Middle band left (start)
-        std::make_pair(124, -20.131), // Middle band left (stop)
-        std::make_pair(125, -20.0),   // Flat junction band left (start)
-        std::make_pair(125, -20.0),   // Flat junction band left (stop)
-        std::make_pair(126, -20.0),   // Inner band left (start)
-        std::make_pair(131, -3.333),  // Inner band left (stop)
-        std::make_pair(253, -3.333),  // Inner band right (start)
-        std::make_pair(258, -20.0),   // Inner band right (stop)
-        std::make_pair(259, -20.0),   // Flat junction band right (start)
-        std::make_pair(259, -20.0),   // Flat junction band right (stop)
-        std::make_pair(260, -20.131), // Middle band right (start)
-        std::make_pair(320, -28.000), // Middle band right (stop)
-        std::make_pair(321, -28.188), // Outer band right (start)
-        std::make_pair(384, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(63, dBr_u{-28.188}),  // Outer band left (stop)
+        std::make_pair(64, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(124, dBr_u{-20.131}), // Middle band left (stop)
+        std::make_pair(125, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(125, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(126, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(131, dBr_u{-3.333}),  // Inner band left (stop)
+        std::make_pair(253, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(258, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(259, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(259, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(260, dBr_u{-20.131}), // Middle band right (start)
+        std::make_pair(320, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(321, dBr_u{-28.188}), // Outer band right (start)
+        std::make_pair(384, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11n_5GHz 40MHz",
                                                WIFI_STANDARD_80211n,
                                                WIFI_PHY_BAND_5GHZ,
-                                               40,
-                                               {5190},
+                                               MHz_u{40},
+                                               {MHz_u{5190}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -567,29 +568,29 @@
     // 11ac 20MHz
     NS_LOG_FUNCTION("Check slopes for 11ac 20MHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(31, -28.375),  // Outer band left (stop)
-        std::make_pair(32, -28.000),  // Middle band left (start)
-        std::make_pair(60, -20.276),  // Middle band left (stop)
-        std::make_pair(61, -20.0),    // Flat junction band left (start)
-        std::make_pair(61, -20.0),    // Flat junction band left (stop)
-        std::make_pair(62, -20.0),    // Inner band left (start)
-        std::make_pair(67, -3.333),   // Inner band left (stop)
-        std::make_pair(125, -3.333),  // Inner band right (start)
-        std::make_pair(130, -20.0),   // Inner band right (stop)
-        std::make_pair(131, -20.0),   // Flat junction band right (start)
-        std::make_pair(131, -20.0),   // Flat junction band right (stop)
-        std::make_pair(132, -20.276), // Middle band right (start)
-        std::make_pair(160, -28.000), // Middle band right (stop)
-        std::make_pair(161, -28.375), // Outer band right (start)
-        std::make_pair(192, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(31, dBr_u{-28.375}),  // Outer band left (stop)
+        std::make_pair(32, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(60, dBr_u{-20.276}),  // Middle band left (stop)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(62, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(67, dBr_u{-3.333}),   // Inner band left (stop)
+        std::make_pair(125, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(130, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(132, dBr_u{-20.276}), // Middle band right (start)
+        std::make_pair(160, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(161, dBr_u{-28.375}), // Outer band right (start)
+        std::make_pair(192, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ac 20MHz",
                                                WIFI_STANDARD_80211ac,
                                                WIFI_PHY_BAND_5GHZ,
-                                               20,
-                                               {5180},
+                                               MHz_u{20},
+                                               {MHz_u{5180}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -599,29 +600,29 @@
     // 11ac 20MHz
     NS_LOG_FUNCTION("Check slopes for 11ac 40MHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(63, -28.188),  // Outer band left (stop)
-        std::make_pair(64, -28.000),  // Middle band left (start)
-        std::make_pair(124, -20.131), // Middle band left (stop)
-        std::make_pair(125, -20.0),   // Flat junction band left (start)
-        std::make_pair(125, -20.0),   // Flat junction band left (stop)
-        std::make_pair(126, -20.0),   // Inner band left (start)
-        std::make_pair(131, -3.333),  // Inner band left (stop)
-        std::make_pair(253, -3.333),  // Inner band right (start)
-        std::make_pair(258, -20.0),   // Inner band right (stop)
-        std::make_pair(259, -20.0),   // Flat junction band right (start)
-        std::make_pair(259, -20.0),   // Flat junction band right (stop)
-        std::make_pair(260, -20.131), // Middle band right (start)
-        std::make_pair(320, -28.000), // Middle band right (stop)
-        std::make_pair(321, -28.188), // Outer band right (start)
-        std::make_pair(384, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(63, dBr_u{-28.188}),  // Outer band left (stop)
+        std::make_pair(64, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(124, dBr_u{-20.131}), // Middle band left (stop)
+        std::make_pair(125, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(125, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(126, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(131, dBr_u{-3.333}),  // Inner band left (stop)
+        std::make_pair(253, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(258, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(259, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(259, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(260, dBr_u{-20.131}), // Middle band right (start)
+        std::make_pair(320, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(321, dBr_u{-28.188}), // Outer band right (start)
+        std::make_pair(384, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ac 40MHz",
                                                WIFI_STANDARD_80211ac,
                                                WIFI_PHY_BAND_5GHZ,
-                                               40,
-                                               {5190},
+                                               MHz_u{40},
+                                               {MHz_u{5190}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -631,29 +632,29 @@
     // 11ac 80MHz
     NS_LOG_FUNCTION("Check slopes for 11ac 80MHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(127, -28.094), // Outer band left (stop)
-        std::make_pair(128, -28.000), // Middle band left (start)
-        std::make_pair(252, -20.064), // Middle band left (stop)
-        std::make_pair(253, -20.0),   // Flat junction band left (start)
-        std::make_pair(253, -20.0),   // Flat junction band left (stop)
-        std::make_pair(254, -20.0),   // Inner band left (start)
-        std::make_pair(259, -3.333),  // Inner band left (stop)
-        std::make_pair(509, -3.333),  // Inner band right (start)
-        std::make_pair(514, -20.0),   // Inner band right (stop)
-        std::make_pair(515, -20.0),   // Flat junction band right (start)
-        std::make_pair(515, -20.0),   // Flat junction band right (stop)
-        std::make_pair(516, -20.064), // Middle band right (start)
-        std::make_pair(640, -28.000), // Middle band right (stop)
-        std::make_pair(641, -28.094), // Outer band right (start)
-        std::make_pair(768, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(127, dBr_u{-28.094}), // Outer band left (stop)
+        std::make_pair(128, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(252, dBr_u{-20.064}), // Middle band left (stop)
+        std::make_pair(253, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(253, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(254, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(259, dBr_u{-3.333}),  // Inner band left (stop)
+        std::make_pair(509, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(514, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(515, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(515, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(516, dBr_u{-20.064}), // Middle band right (start)
+        std::make_pair(640, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(641, dBr_u{-28.094}), // Outer band right (start)
+        std::make_pair(768, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ac 80MHz",
                                                WIFI_STANDARD_80211ac,
                                                WIFI_PHY_BAND_5GHZ,
-                                               80,
-                                               {5210},
+                                               MHz_u{80},
+                                               {MHz_u{5210}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -663,29 +664,29 @@
     // 11ac 20MHz
     NS_LOG_FUNCTION("Check slopes for 11ac 160MHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(255, -28.047),  // Outer band left (stop)
-        std::make_pair(256, -28.000),  // Middle band left (start)
-        std::make_pair(508, -20.032),  // Middle band left (stop)
-        std::make_pair(509, -20.0),    // Flat junction band left (start)
-        std::make_pair(509, -20.0),    // Flat junction band left (stop)
-        std::make_pair(510, -20.0),    // Inner band left (start)
-        std::make_pair(515, -3.333),   // Inner band left (stop)
-        std::make_pair(1021, -3.333),  // Inner band right (start)
-        std::make_pair(1026, -20.0),   // Inner band right (stop)
-        std::make_pair(1027, -20.0),   // Flat junction band right (start)
-        std::make_pair(1027, -20.0),   // Flat junction band right (stop)
-        std::make_pair(1028, -20.032), // Middle band right (start)
-        std::make_pair(1280, -28.000), // Middle band right (stop)
-        std::make_pair(1281, -28.047), // Outer band right (start)
-        std::make_pair(1536, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(255, dBr_u{-28.047}),  // Outer band left (stop)
+        std::make_pair(256, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(508, dBr_u{-20.032}),  // Middle band left (stop)
+        std::make_pair(509, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(509, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(510, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(515, dBr_u{-3.333}),   // Inner band left (stop)
+        std::make_pair(1021, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(1026, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(1027, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(1027, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(1028, dBr_u{-20.032}), // Middle band right (start)
+        std::make_pair(1280, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(1281, dBr_u{-28.047}), // Outer band right (start)
+        std::make_pair(1536, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ac 160MHz",
                                                WIFI_STANDARD_80211ac,
                                                WIFI_PHY_BAND_5GHZ,
-                                               160,
-                                               {5250},
+                                               MHz_u{160},
+                                               {MHz_u{5250}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -695,57 +696,57 @@
     // 11ac 80+80MHz
     NS_LOG_FUNCTION("Check slopes for 11ac 80+80MHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(127, -28.094), // Outer band left (stop)
-        std::make_pair(128, -28.000), // Middle band left (start)
-        std::make_pair(252, -20.064), // Middle band left (stop)
-        std::make_pair(253, -20.0),   // Flat junction band left (start)
-        std::make_pair(253, -20.0),   // Flat junction band left (stop)
-        std::make_pair(254, -20.0),   // Inner band left for first segment (start)
-        std::make_pair(259, -3.333),  // Inner band left for first segment (stop)
-        std::make_pair(509, -3.333),  // Inner band right for first segment (start)
-        std::make_pair(514, -20.0),   // Inner band right for first segment (stop)
-        std::make_pair(515, -20.0),   // Flat junction band right for first segment (start)
-        std::make_pair(515, -20.0),   // Flat junction band right for first segment (stop)
-        std::make_pair(516, -20.01),  // start linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(516, -20.01),  // start linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(639, -24.99),  // stop linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(639, -24.99),  // stop linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(640, -25.0),   // middle linear sum region (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(640, -25.0),   // middle linear sum region (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(641, -24.99), // start linear sum region right (no interpolation possible, so
-                                     // provide 2 times the same point)
-        std::make_pair(641, -24.99), // start linear sum region right (no interpolation possible, so
-                                     // provide 2 times the same point)
-        std::make_pair(764, -20.01), // stop linear sum region right (no interpolation possible, so
-                                     // provide 2 times the same point)
-        std::make_pair(764, -20.01), // stop linear sum region right (no interpolation possible, so
-                                     // provide 2 times the same point)
-        std::make_pair(765, -20.0),  // Flat junction band left (start)
-        std::make_pair(765, -20.0),  // Flat junction band left (stop)
-        std::make_pair(766, -20.0),  // Inner band left for second segment (start)
-        std::make_pair(771, -3.333), // Inner band left for second segment (stop)
-        std::make_pair(1021, -3.333),  // Inner band right for second segment (start)
-        std::make_pair(1026, -20.0),   // Inner band right for second segment (stop)
-        std::make_pair(1027, -20.0),   // Flat junction band right (start)
-        std::make_pair(1027, -20.0),   // Flat junction band right (stop)
-        std::make_pair(1028, -20.016), // Middle band right (start)
-        std::make_pair(1152, -28.000), // Middle band right (stop)
-        std::make_pair(1153, -28.023), // Outer band right (start)
-        std::make_pair(1280, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(127, dBr_u{-28.094}), // Outer band left (stop)
+        std::make_pair(128, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(252, dBr_u{-20.064}), // Middle band left (stop)
+        std::make_pair(253, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(253, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(254, dBr_u{-20.0}),   // Inner band left for first segment (start)
+        std::make_pair(259, dBr_u{-3.333}),  // Inner band left for first segment (stop)
+        std::make_pair(509, dBr_u{-3.333}),  // Inner band right for first segment (start)
+        std::make_pair(514, dBr_u{-20.0}),   // Inner band right for first segment (stop)
+        std::make_pair(515, dBr_u{-20.0}),   // Flat junction band right for first segment (start)
+        std::make_pair(515, dBr_u{-20.0}),   // Flat junction band right for first segment (stop)
+        std::make_pair(516, dBr_u{-20.01}),  // start linear sum region left (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(516, dBr_u{-20.01}),  // start linear sum region left (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(639, dBr_u{-24.99}),  // stop linear sum region left (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(639, dBr_u{-24.99}),  // stop linear sum region left (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(640, dBr_u{-25.0}),   // middle linear sum region (no interpolation possible,
+                                             // so provide 2 times the same point)
+        std::make_pair(640, dBr_u{-25.0}),   // middle linear sum region (no interpolation possible,
+                                             // so provide 2 times the same point)
+        std::make_pair(641, dBr_u{-24.99}),  // start linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(641, dBr_u{-24.99}),  // start linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(764, dBr_u{-20.01}),  // stop linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(764, dBr_u{-20.01}),  // stop linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(765, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(765, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(766, dBr_u{-20.0}),   // Inner band left for second segment (start)
+        std::make_pair(771, dBr_u{-3.333}),  // Inner band left for second segment (stop)
+        std::make_pair(1021, dBr_u{-3.333}), // Inner band right for second segment (start)
+        std::make_pair(1026, dBr_u{-20.0}),  // Inner band right for second segment (stop)
+        std::make_pair(1027, dBr_u{-20.0}),  // Flat junction band right (start)
+        std::make_pair(1027, dBr_u{-20.0}),  // Flat junction band right (stop)
+        std::make_pair(1028, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(1152, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(1153, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(1280, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ac 80+80MHz",
                                                WIFI_STANDARD_80211ac,
                                                WIFI_PHY_BAND_5GHZ,
-                                               160,
-                                               {5530, 5690},
+                                               MHz_u{160},
+                                               {MHz_u{5530}, MHz_u{5690}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -755,35 +756,35 @@
     // 11ax 20MHz @ 2.4GHz
     NS_LOG_FUNCTION("Check slopes for 11ax 20MHz @ 2.4GHz");
     maskSlopes = {
-        std::make_pair(0, -45.000),   // Outer band left (start)
-        std::make_pair(127, -28.133), // Outer band left (stop)
-        std::make_pair(128, -28.000), // Middle band left (start)
-        std::make_pair(252, -20.064), // Middle band left (stop)
-        std::make_pair(253, -20.0),   // Flat junction band left (start)
-        std::make_pair(255, -20.0),   // Flat junction band left (stop)
-        std::make_pair(256, -20.0),   // Inner band left (start)
-        std::make_pair(261, -3.333),  // Inner band left (stop)
-        std::make_pair(262, 0.0),     // allocated band left (start)
-        std::make_pair(382, 0.0),     // allocated band left (stop)
-        std::make_pair(383, -20.0),   // DC band (start)
-        std::make_pair(385, -20.0),   // DC band (stop)
-        std::make_pair(386, 0.0),     // allocated band right (start)
-        std::make_pair(506, 0.0),     // allocated band right (stop)
-        std::make_pair(507, -3.333),  // Inner band right (start)
-        std::make_pair(512, -20.0),   // Inner band right (stop)
-        std::make_pair(513, -20.0),   // Flat junction band right (start)
-        std::make_pair(515, -20.0),   // Flat junction band right (stop)
-        std::make_pair(516, -20.064), // Middle band right (start)
-        std::make_pair(640, -28.000), // Middle band right (stop)
-        std::make_pair(641, -28.133), // Outer band right (start)
-        std::make_pair(768, -45.000), // Outer band right (stop)
+        std::make_pair(0, dBr_u{-45.000}),   // Outer band left (start)
+        std::make_pair(127, dBr_u{-28.133}), // Outer band left (stop)
+        std::make_pair(128, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(252, dBr_u{-20.064}), // Middle band left (stop)
+        std::make_pair(253, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(255, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(256, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(261, dBr_u{-3.333}),  // Inner band left (stop)
+        std::make_pair(262, dBr_u{0.0}),     // allocated band left (start)
+        std::make_pair(382, dBr_u{0.0}),     // allocated band left (stop)
+        std::make_pair(383, dBr_u{-20.0}),   // DC band (start)
+        std::make_pair(385, dBr_u{-20.0}),   // DC band (stop)
+        std::make_pair(386, dBr_u{0.0}),     // allocated band right (start)
+        std::make_pair(506, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(507, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(512, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(513, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(515, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(516, dBr_u{-20.064}), // Middle band right (start)
+        std::make_pair(640, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(641, dBr_u{-28.133}), // Outer band right (start)
+        std::make_pair(768, dBr_u{-45.000}), // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_2.4GHz 20MHz",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_2_4GHZ,
-                                               20,
-                                               {2412},
+                                               MHz_u{20},
+                                               {MHz_u{2412}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -793,35 +794,35 @@
     // 11ax 20MHz @ 5GHz
     NS_LOG_FUNCTION("Check slopes for 11ax 20MHz @ 5GHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(127, -28.094), // Outer band left (stop)
-        std::make_pair(128, -28.000), // Middle band left (start)
-        std::make_pair(252, -20.064), // Middle band left (stop)
-        std::make_pair(253, -20.0),   // Flat junction band left (start)
-        std::make_pair(255, -20.0),   // Flat junction band left (stop)
-        std::make_pair(256, -20.0),   // Inner band left (start)
-        std::make_pair(261, -3.333),  // Inner band left (stop)
-        std::make_pair(262, 0.0),     // allocated band left (start)
-        std::make_pair(382, 0.0),     // allocated band left (stop)
-        std::make_pair(383, -20.0),   // DC band (start)
-        std::make_pair(385, -20.0),   // DC band (stop)
-        std::make_pair(386, 0.0),     // allocated band right (start)
-        std::make_pair(506, 0.0),     // allocated band right (stop)
-        std::make_pair(507, -3.333),  // Inner band right (start)
-        std::make_pair(512, -20.0),   // Inner band right (stop)
-        std::make_pair(513, -20.0),   // Flat junction band right (start)
-        std::make_pair(515, -20.0),   // Flat junction band right (stop)
-        std::make_pair(516, -20.064), // Middle band right (start)
-        std::make_pair(640, -28.000), // Middle band right (stop)
-        std::make_pair(641, -28.094), // Outer band right (start)
-        std::make_pair(768, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(127, dBr_u{-28.094}), // Outer band left (stop)
+        std::make_pair(128, dBr_u{-28.000}), // Middle band left (start)
+        std::make_pair(252, dBr_u{-20.064}), // Middle band left (stop)
+        std::make_pair(253, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(255, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(256, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(261, dBr_u{-3.333}),  // Inner band left (stop)
+        std::make_pair(262, dBr_u{0.0}),     // allocated band left (start)
+        std::make_pair(382, dBr_u{0.0}),     // allocated band left (stop)
+        std::make_pair(383, dBr_u{-20.0}),   // DC band (start)
+        std::make_pair(385, dBr_u{-20.0}),   // DC band (stop)
+        std::make_pair(386, dBr_u{0.0}),     // allocated band right (start)
+        std::make_pair(506, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(507, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(512, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(513, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(515, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(516, dBr_u{-20.064}), // Middle band right (start)
+        std::make_pair(640, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(641, dBr_u{-28.094}), // Outer band right (start)
+        std::make_pair(768, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 20MHz",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               20,
-                                               {5180},
+                                               MHz_u{20},
+                                               {MHz_u{5180}},
                                                maskSlopes,
                                                tol,
                                                prec),
